
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Carroll, Otsuka, Slacalek: How Large Is the Housing Wealth Effect?
%
% This MATLAB program is called by ....m and prints out LaTeX code
% for Table with summary results
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% necessary to input two matrices: tableValues (13x5) matrix of values to
% be printed out in the table and tStats (13x4) matrix of t stats
% corresponding to the first 4 columns of tableVars. 

filePath=[basePath,'\tables\paper\tStickyCIallPers.tex'];
fid=fopen(filePath,'w');

fprintf(fid, '\\begin{table} \n \\caption{Estimates of the Wealth Effect in Simulated Data---The Cointegration Method, Sticky Consumption Model \\label{tWEstickyCI}} \n');
fprintf(fid, '\\begin{minipage}{\\textwidth} \n');
fprintf(fid, '\\begin{center} \n');
fprintf(fid, '$ \\CRat_t=\\kappa \\BRat_t+\\varepsilon_t $\\\\[3mm] \n');
fprintf(fid, '\\begin{tabular}{@{}d{4}d{4}d{4}d{4}@{}}');
fprintf(fid, '\n \\toprule \n ');
fprintf(fid, ' & \\multicolumn{3}{c}{Estimated $\\kappa$} \\\\ \n');
fprintf(fid, '\\cmidrule{2-4} \n');
fprintf(fid, '\\multicolumn{1}{c}{True $\\kappa$} & \\multicolumn{1}{c}{$n='); fprintf(fid,'%5.0f',nPersAll(1)); 
fprintf(fid,'$} & \\multicolumn{1}{c}{$n='); fprintf(fid,'%5.0f',nPersAll(2)); 
fprintf(fid,'$} & \\multicolumn{1}{c}{$n='); fprintf(fid,'%5.0f',nPersAll(3)); 
fprintf(fid,'$}\\\\ \n');
fprintf(fid, '\\midrule \n');
fprintf(fid,'%5.4f',alphaTrue); fprintf(fid,' & '); fprintf(fid,'%5.4f',alphaStickyLevelsAll(1)); fprintf(fid,' & '); fprintf(fid,'%5.4f',alphaStickyLevelsAll(2)); fprintf(fid,' & ');
fprintf(fid,'%5.4f',alphaStickyLevelsAll(3)); fprintf(fid, '\\\\ \n');

% Here is the rest
fprintf(fid,'\\bottomrule \n \\end{tabular} \n \\end{center} \n {\\sl Notes:}  Both variables normalized with permanent income $P_t$. ``True $\\kappa$''''${}=\\big(\\Rfree-(\\Rfree\\beta)^{1/\\rho}\\big)/\\Rfree$. Calibration: $\\rho=');
fprintf(fid,'%2.0f',rho);
fprintf(fid,'$, $\\beta=');    
fprintf(fid,'%4.2f',beta);
fprintf(fid,'$, $\\Rfree=\\WGro^\\rho/\\beta$, $\\Pi=');    
fprintf(fid,'%4.2f',PiFrac);
fprintf(fid,'$, $\\underline{\\WGro}=');    
G4=G^4; G1_4=G1^4;
fprintf(fid,'%4.3f',G4);
fprintf(fid,'^{1/4}$, $\\WGro=');    
fprintf(fid,'%4.3f',G1_4);
fprintf(fid,['^{1/4}$, wealth shock ${}=1$.  \n \\\\ \\showEstTime{Estimated:' datestr(now) ' \\\\ }  \n']);
%fprintf(fid,'{\\footnotesize Notes: $\\Delta C_{t-1}$ was instrumented with $\\Delta C_{t-2}$ (and a constant).}');
fprintf(fid,'\\end{minipage} \n');
fprintf(fid,'\\end{table} \n');

fclose(fid);

